public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in app-backup/backuppc: ChangeLog backuppc-2.1.2-r1.ebuild
@ 2009-10-12 17:17 Mark Loeser (halcy0n)
  0 siblings, 0 replies; only message in thread
From: Mark Loeser (halcy0n) @ 2009-10-12 17:17 UTC (permalink / raw
  To: gentoo-commits

halcy0n     09/10/12 17:17:02

  Modified:             ChangeLog backuppc-2.1.2-r1.ebuild
  Log:
  QA fixes; unquoted variables
  (Portage version: 2.2_rc45/cvs/Linux x86_64)

Revision  Changes    Path
1.8                  app-backup/backuppc/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-backup/backuppc/ChangeLog?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-backup/backuppc/ChangeLog?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-backup/backuppc/ChangeLog?r1=1.7&r2=1.8

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-backup/backuppc/ChangeLog,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- ChangeLog	24 Jul 2008 21:12:04 -0000	1.7
+++ ChangeLog	12 Oct 2009 17:17:02 -0000	1.8
@@ -1,6 +1,9 @@
 # ChangeLog for app-backup/backuppc
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/backuppc/ChangeLog,v 1.7 2008/07/24 21:12:04 rich0 Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-backup/backuppc/ChangeLog,v 1.8 2009/10/12 17:17:02 halcy0n Exp $
+
+  12 Oct 2009; Mark Loeser <halcy0n@gentoo.org> backuppc-2.1.2-r1.ebuild:
+  QA fixes; unquoted variables
 
   24 Jul 2008; Richard Freeman <rich0@gentoo.org> backuppc-2.1.2-r1.ebuild:
   amd64 stable - 211671



1.4                  app-backup/backuppc/backuppc-2.1.2-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-backup/backuppc/backuppc-2.1.2-r1.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-backup/backuppc/backuppc-2.1.2-r1.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-backup/backuppc/backuppc-2.1.2-r1.ebuild?r1=1.3&r2=1.4

Index: backuppc-2.1.2-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-backup/backuppc/backuppc-2.1.2-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- backuppc-2.1.2-r1.ebuild	24 Jul 2008 21:12:04 -0000	1.3
+++ backuppc-2.1.2-r1.ebuild	12 Oct 2009 17:17:02 -0000	1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/backuppc/backuppc-2.1.2-r1.ebuild,v 1.3 2008/07/24 21:12:04 rich0 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/backuppc/backuppc-2.1.2-r1.ebuild,v 1.4 2009/10/12 17:17:02 halcy0n Exp $
 
 inherit eutils webapp
 
@@ -8,7 +8,7 @@
 
 MY_P=BackupPC-${PV}
 PATCH_VER=0.1
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}"/${MY_P}
 DESCRIPTION="A high performance, enterprise grade backup system for backing up
 Linux, Windows, Mac OS X desktops and laptops to a server's disk.  No client
 side software needed."
@@ -29,7 +29,7 @@
 	virtual/mta
 	samba? ( net-fs/samba )"
 
-PATCHDIR=${WORKDIR}/gentoo/prepatch
+PATCHDIR="${WORKDIR}"/gentoo/prepatch
 
 pkg_setup() {
 	enewgroup backuppc
@@ -39,10 +39,10 @@
 }
 
 src_unpack() {
-	unpack ${A}; cd ${S}
-	epatch ${FILESDIR}/${MY_P}pl2.diff
+	unpack ${A}; cd "${S}"
+	epatch "${FILESDIR}"/${MY_P}pl2.diff
 
-	EPATCH_SUFFIX="diff" epatch ${PATCHDIR}
+	EPATCH_SUFFIX="diff" epatch "${PATCHDIR}"
 }
 
 src_compile() {
@@ -80,7 +80,7 @@
 		--hostname XXXXXX \
 		--uid-ignore \
 		--install-dir=/usr \
-		--dest-dir ${D} \
+		--dest-dir "${D}" \
 		--html-dir ${MY_HTDOCSDIR}/image \
 		--html-dir-url /backuppc/image \
 		--cgi-dir ${MY_CGIBINDIR}/ \
@@ -90,7 +90,7 @@
 	pod2man \
 		--section=8 \
 		--center="BackupPC manual" \
-		${S}/doc/BackupPC.pod backuppc.8 || die "failed to generate man page"
+		"${S}"/doc/BackupPC.pod backuppc.8 || die "failed to generate man page"
 
 	doman backuppc.8
 
@@ -99,23 +99,23 @@
 
 	diropts -m 755
 	dodir /etc/backuppc
-	mv ${D}/var/lib/backuppc/conf/* ${D}/etc/backuppc
-	rmdir ${D}/var/lib/backuppc/conf
+	mv "${D}"/var/lib/backuppc/conf/* "${D}"/etc/backuppc
+	rmdir "${D}"/var/lib/backuppc/conf
 
 	fperms 644 /etc/backuppc/config.pl
 	fperms 644 /etc/backuppc/hosts
 
-	newinitd ${S}/init.d/gentoo-backuppc backuppc
-	newconfd ${S}/init.d/gentoo-backuppc.conf backuppc
+	newinitd "${S}"/init.d/gentoo-backuppc backuppc
+	newconfd "${S}"/init.d/gentoo-backuppc.conf backuppc
 
 	webapp_postinst_txt \
-		en ${FILESDIR}/postinstall-en.txt || die "webapp_postinst_txt"
+		en "${FILESDIR}"/postinstall-en.txt || die "webapp_postinst_txt"
 
 	webapp_src_install || die "webapp_src_install"
 
-	cd ${D}/etc/backuppc
+	cd "${D}"/etc/backuppc
 	ebegin "Patching config.pl for sane defaults"
-		patch -p0 < ${WORKDIR}/gentoo/postpatch/config.pl.diff
+		patch -p0 < "${WORKDIR}"/gentoo/postpatch/config.pl.diff
 	eend $?
 
 	chown -R backuppc:backuppc "${D}/var/lib/backuppc"






^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-10-12 17:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-10-12 17:17 [gentoo-commits] gentoo-x86 commit in app-backup/backuppc: ChangeLog backuppc-2.1.2-r1.ebuild Mark Loeser (halcy0n)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox